Foreman - Bug #12712

No searchable link for "Owner" in host properties in non-english languages
12/07/2015 01:44 AM - René Kaak

Status: Closed
Target version:

Difficulty: trivial Fixed in Releases: 1.24.1,2.0.0
Triaged: No Found in Releases: 1.9.2
Bugzilla link: Red Hat JIRA:
Description

If the language isnt english the link in host properties doenst work. This comes from hosts_helper.rb in line 263. Is there any reason
for the if-else? It filters for the word "User" which obviously only works for english.

I've attached a screenshot of the code and my workaround.

Associated revisions

Revision 9fdf33b8 - 01/01/2020 02:15 PM - Tomer Brisker

Fixes #12712 - Fix owner link from host info page

The link only displays if the locale is set to English.

History

#1 - 12/07/2015 03:23 AM - Dominic Cleal

- Category set to Web Interface

- Difficulty set to trivial

The owner_type will only ever be in English, so it should actually check for if host.owner_type == "User" as it's a DB column.

The second part of the conditional is used when a host is owned by a user group rather than a user, so it doesn't link to the individual user (it could
actually link to a search for the group).

If you'd like to get this fixed, please do send the fix via a pull request (see http://theforeman.org/contribute.html).

#2 - 12/07/2015 09:29 AM - René Kaak

The problem with my workaround is that it leads to a 500 error if the Owner is actually a usergroup. Need to find a way to fix this behaviour.. What is
the search-context for usergroup? Trying to figure something out and will report back as soon as | understood some of the helpers better..

#3 - 12/07/2015 09:33 AM - Dominic Cleal
Yeah, that's why | think the conditional needs fixing instead, because a usergroup object won't have the ".login" that a user does.

It looks like you could use a search like this for hosts owned by a user group: owner_type = Usergroup and owner_id = #{host.owner.id} (instead of
user.login = ...).

#4 - 12/08/2015 05:00 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2963 added
http://theforeman.org/contribute.html

#5 - 12/09/2015 01:02 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/2965 added

#6 - 06/16/2016 03:42 AM - Dominic Cleal
- Status changed from Ready For Testing to New

#7 - 01/01/2020 10:44 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/7315 added

#8 - 01/01/2020 02:15 PM - The Foreman Bot
- Fixed in Releases 2.0.0 added

#9 - 01/01/2020 03:01 PM - Tomer Brisker
- Status changed from Ready For Testing to Closed

Applied in changeset 9fdf33b8c6da1f32002{856106eed8ddd065bf15.

#10 - 01/05/2020 10:20 AM - Tomer Brisker
- Category changed from Web Interface to Inventory

- Fixed in Releases 1.24.1 added
